Bellwork
Associations

Search associations with a JSON body

Body-backed equivalent of GET /associations for large ID sets. Each property uses the same string representation and validation as the corresponding GET query parameter.

POST
/associations

Body-backed equivalent of GET /associations for large ID sets. Each property uses the same string representation and validation as the corresponding GET query parameter.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Request Body

application/json

[key: string]?string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/associations" \  -H "Content-Type: application/json" \  -d '{    "property1": "string",    "property2": "string"  }'
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "slug": "string",
      "name": "string",
      "short_name": "string",
      "kind": "state_athletic_association",
      "state": "string",
      "parent_association_id": "550e8400-e29b-41d4-a716-446655440000",
      "parent_association_name": "string",
      "website_url": "string",
      "phone": "string",
      "physical_address": "string",
      "physical_city": "string",
      "physical_zip": "string",
      "member_school_count": -9007199254740991,
      "member_count_source_url": "string",
      "source_url": "string",
      "verified_at": "string"
    }
  ],
  "pagination": {
    "total": -9007199254740991,
    "limit": -9007199254740991,
    "offset": -9007199254740991,
    "has_more": true
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}